{
  // Utilisez IntelliSense pour en savoir plus sur les attributs possibles.
  // Pointez pour afficher la description des attributs existants.
  // Pour plus d'informations, visitez : https://go.microsoft.com/fwlink/?linkid=830387
  "version": "0.2.0",
  "configurations": [
    {
      "name": "Serveur d'écoute",
      "type": "debugpy",
      "request": "launch",
      "env": {
        "LD_LIBRARY_PATH": "${workspaceFolder}/.venv/lib/python3.12/site-packages/nvidia/cublas/lib:${workspaceFolder}/.venv/lib/python3.12/site-packages/nvidia/cudnn/lib:${LD_LIBRARY_PATH}"
      },
      "cwd": "${workspaceFolder}",
      "module": "uvicorn",
        "args": [
            "listen.Whisper.as_service:app",
            "--port",
            "5063",
        ],
    },
    {
      "name": "Client de transcription",
      "type": "debugpy",
      "request": "launch",
      "module": "listen"
    }
  ]
}
